import {
    getSaleData
} from '~/api/sale'
Page({
    data: {
        allIncome: {},
        money: '',
        errMsg: ''
    },
    async onShow() {
        let allIncome = await getSaleData()
        this.setData({
            allIncome
        })
    },
    withdrawalFun() {
        if (this.data.money <= 0) {
            this.setData({
                errMsg: '请输入要提现的金额'
            })
            return
        }
        if (this.data.money > this.data.allIncome.withdraw / 100) {
            this.setData({
                errMsg: '可提现金额不足'
            })
            return
        }
        if (this.data.money > 500 || this.data.money < 50) {
            this.setData({
                errMsg: '转出金额超限'
            })
            return
        }
    },
    clearMoney() {
        console.log('11');
        this.setData({
            money: "",
            errMsg: ""
        });
    },
    setMoney({
        detail
    }) {
        this.setData({
            money: detail.value
        });
    },
    jump({
        currentTarget
    }) {
        wx.navigateTo({
            url: `/salesperson/pages/${currentTarget.dataset.url}/index`,
        })
    },
})